<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Detail</title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    Hello, {{ user.username }}
                    <ul>
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My Projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    </ul>
                {% else %}
                    <ul>
                        <li>
                            <a href="{% url 'login' %}">Login!</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Sign Up!</a>
                        </li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
            <div>
                <h1>{{ project_details.name }}</h1>
                <p>{{ project_details.decription }}</p>
                <h2>Tasks</h2>
                <p>
                    <a href="{% url 'create_task' %}">Create a new Task</a>
                </p>
                {% if tasks %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Assignee</th>
                                <th>Start date</th>
                                <th>Due date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for task in tasks %}
                                <tr>
                                    <td>{{ task.name }}</td>
                                    <td>{{ task.assignee }}</td>
                                    <td>{{ task.start_date }}</td>
                                    <td>{{ task.due_date }}</td>
                                    <td>{{ task.is_completed|yesno:"yes,no,???" }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <p>This project has no tasks</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
